For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
      • GETGet knowledge articles
      • DELDelete multiple articles
      • GETGet a single knowledge article
      • DELDelete a single article
      • POSTUpsert multiple articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
KnowledgeArticles

Upsert multiple articles

POST
https://example.ada.support/api/v2/knowledge/bulk/articles/
POST
/api/v2/knowledge/bulk/articles/
1import requests
2
3url = "https://example.ada.support/api/v2/knowledge/bulk/articles/"
4
5payload = [
6 {
7 "id": "5df263b7db5a7e6ea03fae9b",
8 "name": "How to reset your password",
9 "content": "# How to reset your password\n\n1. Go to the login page\n2. Click on the \"Forgot password\" link\n3. Follow the instructions",
10 "knowledge_source_id": "5df263b7db5a7e6ea03fae9b"
11 }
12]
13headers = {
14 "Authorization": "Bearer <token>",
15 "Content-Type": "application/json"
16}
17
18response = requests.post(url, json=payload, headers=headers)
19
20print(response.json())
1[
2 {
3 "id": "5df263b7db5a7e6ea03fae9b",
4 "success": true,
5 "created": true
6 }
7]
Upsert an array of knowledge articles This endpoint will create or update articles based on the unique `id` field of each article. If an article with the same `id` already exists, it will be updated. Otherwise, a new article will be created. **Limits:** - The maximum size of a request payload is 10MB - The maximum size of an article is 100KB - The maximum number of articles is 50,000
Was this page helpful?
Previous

Tags

Next
Built with

Upsert an array of knowledge articles

This endpoint will create or update articles based on the unique id field of each article. If an article with the same id already exists, it will be updated. Otherwise, a new article will be created.

Limits:

  • The maximum size of a request payload is 10MB
  • The maximum size of an article is 100KB
  • The maximum number of articles is 50,000

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects a list of objects.
idstringRequired1-160 characters
A unique identifier for the article
namestringRequired1-255 characters
The name or title of the article
contentstringRequired>=1 character
The content of the article in markdown format
knowledge_source_idstringRequired

The id of the knowledge_source the article belongs to

urlstring or nullOptionalformat: "url"
The url of the article
tag_idslist of stringsOptional
A list of ids for the tags associated with the article
languagestringOptional

The IETF BCP 47 language code for the article, defaults to en

external_createdstring or nullOptionalformat: "date-time"
The date the article was created in the source system
external_updatedstring or nullOptionalformat: "date-time"
The date the article was last updated in the source system
enabledbooleanOptional

Whether the article should be referenced during response generation, defaults to true

metadataobject or nullOptional
A dictionary of arbitrary key,value pairs. This data is not used by Ada, but can be used by the client to store additional information about the article.

Response

Articles upserted
idstring1-160 characters
A unique identifier for the article
successboolean

Whether the article was successfully created/updated

createdboolean

True if a new article was created, false if an existing article was updated

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error